Delete growing_season by id
DELETE /obp/dynamic-entity/growing_season/GROWING_SEASON_ID
OBPv4.0.0-dynamicEntity_deletegrowing_season_ Roles: CanDeleteDynamicEntityRecord_growing_season(per bank) _Growing_seasonDynamic-EntityDynamic
Delete growing_season by id
MethodRouting settings example:
<details>
{
"is_bank_id_exact_match":false,
"method_name":"dynamicEntityProcess",
"connector_name":"rest_vMar2019",
"bank_id_pattern":".*",
"parameters":[
{
"key":"entityName",
"value":"growing_season"
}
{
"key":"url",
"value":"http://mydomain.com/xxx"
}
]
}
</details>
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
Example request body
{
"growing_season_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
"parcel_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
"crop_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
"start_date": "2026-10-15",
"end_date": "2027-07-20",
"year": 2027,
"is_cover_crop": true,
"crop_area_ha": 7.4,
"yield_kg_per_ha": 6200,
"yield_total_kg": 45880,
"yield_source": "farmer_reported",
"farming_practice": "no_till",
"fertiliser_use_kg_per_ha": 120,
"residue_management": "incorporated"
}Example success response
{
"growing_season": {
"growing_season_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
"parcel_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
"crop_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
"start_date": "2026-10-15",
"end_date": "2027-07-20",
"year": 2027,
"is_cover_crop": true,
"crop_area_ha": 7.4,
"yield_kg_per_ha": 6200,
"yield_total_kg": 45880,
"yield_source": "farmer_reported",
"farming_practice": "no_till",
"fertiliser_use_kg_per_ha": 120,
"residue_management": "incorporated"
}
}Possible errors (4)
- OBP-20001: User not logged in. Authentication is required!
- OBP-20006: User is missing one or more roles:
- OBP-10001: Incorrect json format.
- OBP-50000: Unknown Error.